#ifndef ANALYZENODE_HPP__
#define ANALYZENODE_HPP__

#include "nodes/base/base.hpp"
#include <opencv2/opencv.hpp>

namespace GNode
{

class AnalyzeNode : public BaseNode
{
public:
    AnalyzeNode() = delete;
    AnalyzeNode(const std::string& name) : BaseNode(name, NODE_TYPE::MID_NODE) { }
    virtual ~AnalyzeNode() { stop(); };

    void handle_data(std::shared_ptr<meta::BaseData>& meta_data) override;

private:
    std::vector<std::string> task_names_;

};


}   // namespace Node
#endif // ANALYZENODE_HPP__